<?php

namespace App\Http\Controllers\API;

use App\Interfaces\PageRepositoryInterface;
use App\Http\Controllers\Controller;
use Illuminate\Http\Request;

class PageAPIController extends Controller
{
    protected $pages;

    public function __construct(
        PageRepositoryInterface $pageRepository
    ) {
        $this->pages = $pageRepository;
    }

    public function write(Request $request)
    {
        $body   = json_decode($request->getContent());
        $result = $this->pages->update($body);
        return response()->json($result)->header('Content-Type', 'application/json');
    }

    public function create(Request $request)
    {
        $body   = json_decode($request->getContent());
        $result = $this->pages->create($body);
        return response()->json($result)->header('Content-Type', 'application/json');
    }
}
