<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Http\Request;
use App\Services\AuthService;

class MemberCheck
{
    protected $auth;

    public function __construct(
        AuthService $authService,
    ) {
        $this->auth = $authService;
    }

    /**
     * Handle an incoming request.
     *
     * @param  \Closure(\Illuminate\Http\Request): (\Symfony\Component\HttpFoundation\Response)  $next
     */
    public function handle(Request $request, Closure $next)
    {
        if ($this->auth::status()) {
            return $next($request);
        } else {
            return redirect('dashboard');
        }
    }
}
