<!DOCTYPE html>
@php
    if(isset($debug))
    {
        if($debug)
        {
            $assetPath = '/theme/';
        }else{
            $assetPath = '/assets/';
        }
    }else{
        $assetPath = '/assets/';
    }
@endphp

<html>
    <head>
        <title>
            @yield('title')
        </title>
        <meta charset="UTF-8"/>
        <meta name='viewport' content='width=device-width, initial-scale=1.0'/>
        <meta name="keywords" content="{{ $info['keywords'] }}"/>
        <meta name="description" content="{{$info['description']}} "/>
        <meta http-equiv="content-type" content="text/html; charset=utf-8"/>
        <meta property="og:image" content="{{$info["image"]}}"/>
        <meta name="twitter:image" content="{{$info["image"]}}"/>
        <link rel="shortcut icon" href="/favicon.png" type="image/x-icon">
        <link rel="stylesheet" type="text/css" href="{{ $assetPath."css/theme/start.css" }}">
    </head>
    <body>
        <div id="menu">
            @include('fipamo-default-v2.includes.menu')
        </div>
        <header>
            @include('fipamo-default-v2.includes.nav')
        </header>
        @include('fipamo-default-v2.includes.slides')
        <main>
            @section('main-content')
              @show
        </main>
        <footer>
            <div class="inner">
                @if(isset($dynamicRender))
                    @if($dynamicRender == 'true')
                        <a href="/archives">Archives</a><br/>
                    @else
                        <a href="/archives.html">Archives</a><br/>
                    @endif
                @else
                    <a href="/archives.html">Archives</a><br/>
                @endif
                © 2020 By Fipamo
            </div>
        </footer>
        <script src="{{ $assetPath."scripts/theme/ThemeStart.js" }}" type="module"></script>
    </body>
</html>
