@extends('fipamo-default-v2.base')

@section('title', $title)

@section('main-content')
    <article>
        <h1>{{ $title }}</h1>
        <p>{!!$content!!}</p>
    </article>
    <section class="page-meta">
        <div>
            <h2>Files</h2>
            @foreach($files as $file)
                @if($file['type'] != 'mp3')
                    @php
                        $fileName = explode("/", $file['file']);
                    @endphp
                    <a href="{{ $file['file'] }}">{{ $fileName[6] }}</a>
                @endif
            @endforeach
        </div>
        <div>
            <h2>Sounds</h2>
                @foreach($files as $file)
                    @if($file['type'] == 'mp3')
                        <audio controls>
                            <source src="{{ $file['file'] }}" type="audio/mpeg">
                                Your browser does not support the audio element.
                            </audio>
                    @endif
                @endforeach
            </div>
            <div>
                <h2>Info</h2>
                {{ $meta['who'] }}
                dropped this
                {{ $meta['when'] }}<br/>

            </div>
            <div>
                <h2>Tags</h2>
                @foreach($tags as $tag)
                    @if(isset($dynamicRender))
                        @if($dynamicRender == 'true')
                            <a href="{{ "/tags/".$tag['slug'] }}">
                                {{ $tag['label'] }}
                            </a>
                        @else
                            <a href="{{ "/tags/".$tag['slug'].".html" }}">
                                {{ $tag['label'] }}
                            </a>
                        @endif
                    @else
                        <a href="{{ "/tags/".$tag['slug'].".html" }}">
                            {{ $tag['label'] }}
                        </a>
                    @endif
                @endforeach
            </div>
        </section>
@endsection
