@extends('frame')

@section('title', 'Pages')

  @section('main-content')
  <section class="book-index-header">
  <div class="book-index-header-left">
      {{ $result['paginate']['sort'] }}
      Pages
  </div>
  <div class="book-index-header-right">
      <a href="/dashboard/pages/all" title="view all pages">
          <button>
              <svg id="nav-menu-icon" class="icon">
                  <use id="nav-menu-icon" xlink:href="/assets/images/global/sprite.svg#entypo-folder"/>
              </svg>
              {{ $result['stats']['all'] }}
          </button>
      </a>
      <a href="/dashboard/pages/published" title="view publised pages">
          <button>
              <svg id="nav-menu-icon" class="icon">
                    <use id="nav-menu-icon" xlink:href="/assets/images/global/sprite.svg#entypo-globe"/>
                </svg>
              {{ $result['stats']['published'] }}
          </button>
      </a>
      <a href="/dashboard/pages/deleted" title="view deleted pages">
          <button>
              <svg id="nav-menu-icon" class="icon">
                    <use id="nav-menu-icon" xlink:href="/assets/images/global/sprite.svg#entypo-trash"/>
                </svg>
              {{ $result['stats']['deleted'] }}
          </button>
      </a>
  </section>
  <section class="book-index-pages">
        @foreach($result['pages'] as $page)
            @php
                $type = '';
                $file = '';
                isset($page['media'][0]['type']) ? $type = $page['media'][0]['type'] : $type = '';
                isset($page['media'][0]['file']) ? $file = $page['media'][0]['file'] : $file = '';
            @endphp
           @if($type =='mp4')
                <a href="/dashboard/page/edit/{{ $page['uuid'] }}" id="{{ $page['uuid'] }}" class="page-link">
                <div class="page-video">
                    <video class="post-video" loop muted autoplay>
                        <source src="{{ $file }}" type="video/mp4">

                            Sorry, your browser doesn't support embedded videos.
                        </video>
                        <div id="meta">
                            @include('includes.recent-meta')
                        </div>
                    </div>
                </a>
            @else
                <a href="/dashboard/page/edit/{{ $page['uuid'] }}" id="{{ $page['uuid'] }}" class="page-link">
                    <div class="page-bg" style="background: url({{ $file }}) no-repeat center center / cover #cf436b">
                        <div id="meta">
                            @include('includes.recent-meta')
                        </div>
                    </div>
                </a>
                @endif
        @endforeach
        @if($result['numOfPages'])
            <div class="paginate">
                  <a class="page-btns" href="/dashboard/pages/{{ $result['paginate']['sort'] }}/{{ $result['paginate']['prevPage'] }}">
                      <svg id="nav-menu-icon" class="icon">
                            <use id="nav-menu-icon" xlink:href="/assets/images/global/sprite.svg#entypo-arrow-with-circle-left"/>
                        </svg>
                  </a>
                  <span class="count">
                      {{ $currentPage }}
                      of
                      {{ $result['numOfPages'] }}
                  </span>
                  <a class="page-btns" href="/dashboard/pages/{{ $result['paginate']['sort'] }}/{{ $result['paginate']['nextPage'] }}">
                      <svg id="nav-menu-icon" class="icon">
                          <use id="nav-menu-icon" xlink:href="/assets/images/global/sprite.svg#entypo-arrow-with-circle-right"/>
                      </svg>
                  </a>
              </div>
        @endif
      </section>
  @endsection
